Bug 1003933 - Hide Backup and Restore feature in RHEL-7.0
Hide Backup and Restore feature in RHEL-7.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 10:26 EDT by Martin Kosek
Modified: 2014-06-17 20:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.3.3-19.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:16:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 67800 None None None Never

  None (edit)
Description Martin Kosek 2013-09-03 10:26:39 EDT
Description of problem:
We decided to move Backup&Restore feature out of RHEL-7.0 IPA bits as it was not tested enough yet and as it is not in a good state enough to be included. See Bug 951581 for more details.

Scope of the change:
- ipa-backup & ipa-backup executables should be removed from the package
- ipa-backup & ipa-backup man pages should be removed from the package
- potential pointers from others places to these packages should be removed

Version-Release number of selected component (if applicable):
ipa-3.3.1-1.el7
Comment 5 Martin Kosek 2014-02-26 02:47:12 EST
Backup and restore scripts removed in ipa-3.3.3-19.el7.
Comment 7 Namita Soman 2014-03-06 10:46:53 EST
Verified using ipa-server-3.3.3-20.el7.x86_64

ipa-backup and ipa-restore executables are not available:
# ipa
ipa                     ipa-client-automount    ipa-csreplica-manage    ipa-getcert             ipa-ldap-updater        ipa-replica-conncheck   ipa-replica-prepare     ipa-server-install      
ipa-advise              ipa-client-install      ipactl                  ipa-getkeytab           ipa-managed-entries     ipa-replica-install     ipa-rmkeytab            ipa-upgradeconfig       
ipa-ca-install          ipa-compat-manage       ipa-dns-install         ipa-join                ipa-nis-manage          ipa-replica-manage      ipa-server-certinstall  

Man pages are not available for the two either:
# man ipa-backup
No manual entry for ipa-backup

# man ipa-restore
No manual entry for ipa-restore
Comment 8 Ludek Smid 2014-06-13 09:16:13 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.